package me.bechberger.fxbrowserdemo;

import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.web.WebView;
import javafx.scene.web.WebEngine;
import javafx.embed.swing.JFXPanel;
import javafx.scene.layout.BorderPane;


import javax.swing.JFrame;

public class JavaFXBrowser
{

// JFXPanel jfxPanel;

    public static void main(String[] args)
    {

        javax.swing.SwingUtilities.invokeLater(new Runnable()
        {
            public void run()
            {
                new JavaFXBrowser();
            }
        });
    }

    public JavaFXBrowser()
    {

        final JFXPanel jfxPanel = new JFXPanel();

        // JavaFX thread
        Platform.runLater(new Runnable()
        {
            @Override
            public void run()
            {
                WebView webView = new WebView();
                WebEngine webEngine = webView.getEngine();
                webEngine.load("https://www.sap.com/");

                BorderPane pane = new BorderPane();
                pane.setCenter(webView);
                Scene scene = new Scene(pane);
                jfxPanel.setScene(scene);
            }
        });

        JFrame frame = new JFrame();
        frame.add(jfxPanel);
        frame.setTitle("WebView in JFXPanel");
        frame.setSize(1300, 700);
        frame.setVisible(true);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }
}